# https://github.com/NEZNAMY/TAB/wiki/Feature-guide:-Header-&-Footer
header-footer:
  enabled: true
  header:
    - "<#FFFFFF>&m                                                </#FFFF00>"
    - "&3&lspdl.online"
    - "&7&l>> %animation:Welcome%&3 &l%player%&7&l! &7&l<<"
    - "&7Players: &f%online%"
    - "&6Staff online: &e%staffonline%"
    - "* &a💰 Money&7: &f%dleconomy_money%" ## DL_ECONOMY
    - "* &3⬛ Blocos&7: &f%dleconomy_blocos%" ## DL_MINA
    - "* &6💰 Cash&7: &f%dleconomy_cash%" ## DL_MINA
    - ""
  footer:
    - ""
    - "&7Acesse %animation:web%"
    - "<#FFFFFF>&m                                                </#FFFF00>"
  disable-condition: '%world%=disabledworld'
  per-world:
    world1:
      header:
        - "an example of world with custom"
      footer:
        - "header/footer and prefix/suffix"
    world2;world3:
      header:
        - "This is a shared header for"
        - "world2 and world3"
  per-server:
    server1:
      header:
        - "an example of server with custom header"

# https://github.com/NEZNAMY/TAB/wiki/Feature-guide:-Tablist-name-formatting
tablist-name-formatting:
  enabled: true
  anti-override: true
  disable-condition: '%world%=disabledworld'
  format: "&a💰 %dl_money_bank% &7| &f%player%" ## DL_ECONOMY

# https://github.com/NEZNAMY/TAB/wiki/Feature-guide:-Nametags
scoreboard-teams:
  enabled: true
  enable-collision: true
  invisible-nametags: false
  anti-override: true
  sorting-types:
    - "GROUPS:owner,adm,mod,doador+,seguidor,default"
    - "PLACEHOLDER_A_TO_Z:%player%"
  case-sensitive-sorting: true
  can-see-friendly-invisibles: false
  disable-condition: '%world%=disabledworld'

# https://github.com/NEZNAMY/TAB/wiki/Feature-guide:-Playerlist-Objective
playerlist-objective:
  enabled: true
  value: "%ping%"
  fancy-value: "&7Ping: %ping%"
  disable-condition: '%world%=disabledworld'

# https://github.com/NEZNAMY/TAB/wiki/Feature-guide:-Belowname
belowname-objective:
  enabled: false
  value: "%health%"
  title: "&cHealth"
  fancy-value: "&c%health%"
  fancy-value-default: "NPC"
  disable-condition: '%world%=disabledworld'

# https://github.com/NEZNAMY/TAB/wiki/Feature-guide:-Spectator-fix
prevent-spectator-effect:
  enabled: false

# https://github.com/NEZNAMY/TAB/wiki/Feature-guide:-Bossbar
bossbar:
  enabled: false
  toggle-command: /bossbar
  remember-toggle-choice: false
  hidden-by-default: false
  bars:
    ServerInfo:
      style: "PROGRESS"
      color: "%animation:barcolors%"
      progress: "100"
      text: "&fWebsite: &bdiscord.com/spdl.online"

# https://github.com/NEZNAMY/TAB/wiki/Feature-guide:-Scoreboard
scoreboard:
  enabled: true
  toggle-command: /sb
  remember-toggle-choice: false
  hidden-by-default: false
  use-numbers: true
  static-number: 0
  delay-on-join-milliseconds: 0
  scoreboards:
    scoreboard-1.20.3+:
      title: "<#E0B11E>spdl.online</#FF0000>"
      display-condition: "%player-version-id%>=765;%bedrock%=false"
      lines:
        - "&7%date%"
        - "%animation:MyAnimation1%"
        - "* &eOnline&7:||%online%"
        - "* &eStaff&7:||%staffonline%"
        - "* &bRank&7:||%group%"
        - "* &a💰 Money&7: &f%dleconomy_money%" ## DL_ECONOMY
        - "* &3⬛ Blocos&7: &f%dleconomy_blocos%" ## DL_MINA
        - "* &6💰 Cash&7: &f%dleconomy_cash%" ## DL_MINA
        - ""
        - "* &bPing&7:||%ping%&8 ms"
        - "%animation:MyAnimation1%"
    scoreboard:
      title: "<#E0B11E>spdl.online</#FF0000>"
      lines:
        - "&7%date%"
        - "%animation:MyAnimation1%"
        - "&6Online:"
        - "* &eOnline&7: &f%online%"
        - "* &eCurrent World&7: &f%worldonline%"
        - "* &eStaff&7: &f%staffonline%"
        - ""
        - "* &a💰 Money&7: &f%dleconomy_money%" ## DL_ECONOMY
        - "* &3⬛ Blocos&7: &f%dleconomy_blocos%" ## DL_MINA
        - "* &6💰 Cash&7: &f%dleconomy_cash%" ## DL_MINA
        - ""
        - "&6Personal Info:"
        - "* &bRank&7: &f%group%"
        - "* &bPing&7: &f%ping%&8ms"
        - "* &bWorld&7: &f%world%"
        - "%animation:MyAnimation1%"

# https://github.com/NEZNAMY/TAB/wiki/Feature-guide:-Layout
layout:
  enabled: false
  direction: COLUMNS
  default-skin: mineskin:383747683
  enable-remaining-players-text: true
  remaining-players-text: '... and %s more'
  empty-slot-ping-value: 1000
  layouts:
    default:
      fixed-slots:
        - '1|&3Website&f:'
        - '2|&bmyserver.net'
        - '3|&8&m                       '
        - '4|&3Name&f:'
        - '5|&b%player%'
        - '7|&3Rank&f:'
        - '8|Rank: %group%'
        - '10|&3World&f:'
        - '11|&b%world%'
        - '13|&3Time&f:'
        - '14|&b%time%'
        - '21|&3Teamspeak&f:'
        - '22|&bts.myserver.net'
        - '23|&8&m                       '
        - '41|&3Store&f:'
        - '42|&bshop.myserver.net'
        - '43|&8&m                       '
      groups:
        staff:
          condition: permission:tab.staff
          slots:
            - 24-40
        players:
          slots:
            - 44-80

# https://github.com/NEZNAMY/TAB/wiki/Feature-guide:-Ping-Spoof
ping-spoof:
  enabled: false
  value: 0

placeholders:
  date-format: "dd/MM/yyyy"
  time-format: "[HH:mm:ss / h:mm a]"
  time-offset: 0
  register-tab-expansion: false

# https://github.com/NEZNAMY/TAB/wiki/Feature-guide:-Placeholder-output-replacements
placeholder-output-replacements:
  "%essentials_vanished%":
    "yes": "&7| Vanished"
    "no": ""

# https://github.com/NEZNAMY/TAB/wiki/Feature-guide:-Conditional-placeholders
conditions:
  nick: # use it with %condition:nick%
    conditions:
      - "%player%=%essentials_nickname%"
    yes: "%player%"
    no: "~%essentials_nickname%"

placeholderapi-refresh-intervals:
  default-refresh-interval: 500
  "%server_uptime%": 1000
  "%server_tps_1_colored%": 1000
  "%server_unique_joins%": 5000
  "%player_health%": 200
  "%player_ping%": 1000
  "%vault_prefix%": 1000
  "%rel_factionsuuid_relation_color%": 1000

# assigning groups by permission nodes instead of taking them from permission plugin
assign-groups-by-permissions: false

# if the option above is true, all groups are taken based on permissions and the one higher in this list is used as primary
# Warning! This is not sorting list and has nothing to do with sorting players in tablist!
primary-group-finding-list:
  - owner
  - adm
  - mod
  - doador+
  - seguidor
  - default

# Refresh interval (in milliseconds) of:
# - Permission checks in conditions / sorting
# - Group retrieving from permission plugin for sorting / per-group properties
# - Prefix/suffix placeholders taking data from permission plugin
permission-refresh-interval: 1000

# Unlocks extra console messages
debug: false

# https://github.com/NEZNAMY/TAB/wiki/MySQL
mysql:
  enabled: false
  host: 127.0.0.1
  port: 3306
  database: tab
  username: sw
  password: sw
  useSSL: true

########################################################################
# BUKKIT ONLY - THE FOLLOWING SECTION IS ONLY FOR BACKEND INSTALLATION #
########################################################################

# https://github.com/NEZNAMY/TAB/wiki/Feature-guide:-Per-world-playerlist
per-world-playerlist:
  enabled: false
  # players with tab.staff will always see all players
  allow-bypass-permission: false
  # players in these worlds will always see all players
  ignore-effect-in-worlds:
    - ignoredworld
    - build
  shared-playerlist-world-groups:
    lobby:
      - lobby1
      - lobby2
    minigames:
      - paintball
      - bedwars

#####################################################################
# PROXY ONLY - THE FOLLOWING SECTION IS ONLY FOR PROXY INSTALLATION #
#####################################################################

# https://github.com/NEZNAMY/TAB/wiki/Feature-guide:-Global-playerlist
global-playerlist:
  enabled: false
  display-others-as-spectators: false
  display-vanished-players-as-spectators: true
  isolate-unlisted-servers: false
  update-latency: false
  spy-servers:
    - spyserver1
    - spyserver2
  server-groups:
    lobbies:
      - lobby1
      - lobby2
    group2:
      - server1
      - server2

# Take permissions and groups from backend server instead of proxy
use-bukkit-permissions-manager: false

# Sometimes server might be using offline uuids in tablist instead of online, such as disabling waterfall's tablist rewrite option
# If you experience tablist formatting not working, toggle this option (set it to opposite value)
# Only affects proxies with online mode enabled
use-online-uuid-in-tablist: true

# If enabled and RedisBungee plugin is found, hook is enabled to work with players on all proxies
enable-redisbungee-support: true